iwatch (0.2.2-11) unstable; urgency=medium

  * debian/control:
      - Added telegram-send to Suggests field.
      - Bumped Standards-Version to 4.6.2.
      - Dropped dependency on obsolete lsb-base. The sysvinit-utils is
        providing the scripts needed by /etc/init.d/* files.
      - Dropped dependency on yowsup-cli, no longer in Debian.
  * debian/copyright:
      - Added packaging rights for Chris Hofstaedtler.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 May 2024 14:51:49 -0300

iwatch (0.2.2-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 21:59:27 +0200

iwatch (0.2.2-10) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Little adjustments in long description.
  * debian/copyright:
      - Added a comment about iwatch on GitHub.
      - Added rights for Michael Biebl <biebl@debian.org>.
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/manpage/:
      - Added a caveat about iwatch running with systemd.
      - Updated the manpage.
  * debian/patches/:
      - Added a leading zero to all patch names.
      - Refreshed all patches.
  * debian/README.Debian:
      - Added a note about iwatch running under root as daemon when using
        systemd. Thanks to Braulio Henrique Marques Souto. See #994857.
      - Fixed and improved the previous text.
  * debian/README.source: created to tell about iwatch on SF and GitHub.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + iwatch: Drop versioned constraint on lsb-base in Depends.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 16:19:14 -0300

iwatch (0.2.2-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:11:18 +0200

iwatch (0.2.2-9) unstable; urgency=medium

  * debian/copyright: split GPL license text into GPL-2 and GPL-2+.
  * debian/tests/control: set a CI test as superficial. (Closes: #969835)
  * debian/upstream/metadata: added Documentation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 14:20:09 -0300

iwatch (0.2.2-8) unstable; urgency=medium

  * Using /run instead of /var/run. Consequently:
     - debian/init: updated.
     - debian/patches/20_use-slashrun.patch: created to make
       adjustments in main upstream file.
     - debian/services: updated
  * debian/control:
      - Added a Pre-Defends field because the package uses
        the --skip-systemd-native invoke-rc.d flag.
      - Bumped Standards-Version to 4.5.0.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/services: added hardening option PrivateTmp=yes.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 16:04:20 -0300

iwatch (0.2.2-7) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Using ${perl:Depends} variable instead of 'perl'.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Oct 2019 14:31:39 -0300

iwatch (0.2.2-6) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed from postfix to default-mta in Depends field.
      - Updated Vcs-Git field.
  * debian/copyright:
      - Added rights for Ondřej Nový.
      - Updated packaging copyright years.
  * debian/default: added a notice about systemd.
  * debian/service: added to provide a systemd service.
  * debian/tests/control: added to perform a trivial test.
  * debian/watch: removed unnecessary '?' at EOL.

  [ Ondřej Nový ]
  * debian/copyright: Use https protocol in Format field.
  * debian/changelog: Remove trailing whitespaces.
  * debian/control: Fix wrong Vcs-*
  * debian/watch: Use https protocol.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 04 Nov 2018 03:03:32 -0200

iwatch (0.2.2-5) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Little fixes in long description.
  * debian/copyright: updated packaging copyright years.
  * debian/manpage/: updated the manpage and fixed some issues.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Nov 2017 20:00:53 -0200

iwatch (0.2.2-4) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Added the  lsb-base to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Changed from perl-modules to perl in Depends field.
      - Improved the long description.
      - Removed the Build-Depends-Indep field because the iwatch is a
        Perl program and does not needs build against a library.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Dropped dot-zero from GPL license short name.
      - Updated the packaging copyright years.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/man/:
      - Changed from genman.sh to create-man.sh.
      - Renamed to debian/manpage/.
  * debian/patches/iwatch.xml: renamed to 10_iwatch-xml.patch.
  * debian/README.Debian: added to explain about systemd procedures.
    See #801848 for details.
  * debian/rules: removed the --parallel option from dh.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Oct 2016 20:23:02 -0200

iwatch (0.2.2-3) unstable; urgency=medium

  * New maintainer. Thanks a lot to Michael Prokop, the initial maintainer,
    for your nice work over this package. (Closes: #728287)
  * Migrations:
      - debian format from 1.0 to 3.0.
      - debian/copyright to new format (1.0).
      - debian/rules: to new (reduced) format.
      - debhelper version from 5 to 9.
      - Standards-Version from 3.9.3 to 3.9.5.
  * debian/control:
      - Added sendxmpp and yowsup-cli to Suggests field.
      - Improved the long description.
      - Removed the useless variable ${shlibs:Depends} from Depends field.
      - Updated the Vcs-* fields.
  * debian/docs: removed. All relevant information was added to the new
    manpage.
  * debian/examples: added to make available an upstream file
    (iwatch.xml.example).
  * debian/gbp.conf: added to allow git-buildpackage usage.
  * debian/initscript:
      - Added a LSB Description field.
      - Fixed some issues.
      - Renamed to init.
      - Updated the reload and force-reload options.
  * debian/install: created to install some files.
  * debian/iwatch.default: renamed to default.
  * debian/iwatch.1: moved to debian/man/ and renamed to iwatch.1.old.
  * debian/iwatch.xml: removed because the original upstream file was fixed
    by patch.
  * debian/man/: created to gather the files of the new manpage.
  * debian/manpages: created to install the new manpage.
  * debian/NEWS: removed because this file is useless nowadays.
  * debian/patches/iwatch.xml: added to make iwatch.xml upstream file
    compliant with Debian.
  * debian/{pre,post}{inst,rm}: removed because the DH9 creates
    these files automatically when handling init scripts.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 Jun 2014 10:40:31 -0300

iwatch (0.2.2-2) unstable; urgency=low

  * [5678d80] Use CONFIG_FILE variable in initscript.
    Thanks to inne <inne@alice-dsl.net> for finding (Closes: #615057)
  * [1854dc0] Fix spelling in log_daemon_msg stop action. Thanks to
    Michael Burgener <linuxbugs@visier.com> for reporting
    (Closes: #675970)
  * [b4ecc22] Bump Standards-Version to 3.9.3
  * [74c5671] Add build-arch + build-indep targets
  * [949280b] Add $remote_fs to Required-Start/Required-Stop LSB headers

 -- Michael Prokop <mika@debian.org>  Mon, 11 Jun 2012 19:54:14 +0200

iwatch (0.2.2-1) unstable; urgency=low

  * New upstream release.
    - Addresses the "Fails exec on files containing format chars"
      issue. [Closes: #554438]
  * Bump Standards-Version to 3.8.3.
  * Update debian/copyright to make lintian happy.
  * Fix lintian's hyphen-used-as-minus-sign issue in manpage (thanks
    for the hint, Rhonda).
  * Make package architecture independent.
  * Use my Debian mail address as maintainer.

 -- Michael Prokop <mika@debian.org>  Tue, 29 Dec 2009 11:50:55 +0100

iwatch (0.2.1-3) unstable; urgency=low

  * Fix typo in /etc/iwatch/iwatch.xml, thanks to Hagen Fuchs for
    spotting. [Closes: #501738]
  * Add Vcs headers.
  * Bump Standard-Version to 3.8.0 (no further changes).
  * Drop Homepage from Long Description (thanks, Rhonda).
  * Add debian/watch file (thanks, Rhonda).
  * Drop lintian overrides, read DEBHELPER to maintainer scripts
    (thanks again, Rhonda).

 -- Michael Prokop <mika@grml.org>  Mon, 13 Oct 2008 12:43:38 +0200

iwatch (0.2.1-2) unstable; urgency=low

  * Use dpkg-query in preinst script for removing deprecated
    configuration file as suggested on
    http://wiki.debian.org/DpkgConffileHandling
    (Thanks for the hint, formorer.)

 -- Michael Prokop <mika@grml.org>  Fri, 22 Jun 2007 20:52:02 +0200

iwatch (0.2.1-1) unstable; urgency=low

  * New upstream release. [Closes: #428402]
  * Replaced Depends libxml-simple-perl with
    libxml-simpleobject-libxml-perl due to changes in upstream code.
  * Add liblinux-inotify2-perl to Build-Depends. This should fix the
    "uninstallable on hppa due to unavailability of
    liblinux-inotify2-perl" problem. Thanks for assistance,
    Christoph Berg! [Closes: #419317]
  * Point homepage URL in long description to the project homepage
    itself instead of the sourceforge project website.
  * Update and extend manpage.
  * Provide iwatch.xml.example in /usr/share/doc/iwatch/examples/.
  * Place all configuration files in /etc/iwatch/ (thanks for the hint,
    formorer). Upstream will switch to this setup with an upcoming
    release as well so we follow 10.7.2 of the Debian Policy Manual.

 -- Michael Prokop <mika@grml.org>  Mon, 11 Jun 2007 15:52:27 +0200

iwatch (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Prokop <mika@grml.org>  Wed, 24 Jan 2007 22:42:38 +0100

iwatch (0.0.12-3) unstable; urgency=low

  * Upload to Debian pool (Closes: #383191).

 -- Michael Prokop <mika@grml.org>  Sat,  2 Dec 2006 22:25:20 +0100

iwatch (0.0.12-2) unstable; urgency=low

  * Add postfix to depends (using 'postfix | mail-transport-agent')
    to make lintian happy.

 -- Michael Prokop <mika@grml.org>  Sat, 18 Nov 2006 16:44:47 +0100

iwatch (0.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Michael Prokop <mika@grml.org>  Tue,  7 Nov 2006 00:07:27 +0100

iwatch (0.0.11-4) unstable; urgency=low

  * Don't start but *re*start iwatch daemon in debian/postinst,
    thanks formorer.

 -- Michael Prokop <mika@grml.org>  Tue, 24 Oct 2006 12:28:09 +0200

iwatch (0.0.11-3) unstable; urgency=low

  * Add mail-transport-agent to Depends.
  * Use "${1:-}" in initscript to make 'set -u' happy.
  * Added support for option 'status' to initscript.

 -- Michael Prokop <mika@grml.org>  Tue, 24 Oct 2006 11:59:46 +0200

iwatch (0.0.11-2) unstable; urgency=low

  * Added initscript, thanks to Alexander 'formorer' Wirt for
    feedback.

 -- Michael Prokop <mika@grml.org>  Sun, 22 Oct 2006 21:26:37 +0200

iwatch (0.0.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Prokop <mika@grml.org>  Thu, 28 Sep 2006 12:05:00 +0200

iwatch (0.0.9-1) unstable; urgency=low

  * New upstream release.
  * Updated manpage according to current implementation.

 -- Michael Prokop <mika@grml.org>  Sun, 17 Sep 2006 12:02:57 +0200

iwatch (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Prokop <mika@grml.org>  Sun, 27 Aug 2006 11:34:30 +0200

iwatch (0.0.5-1) unstable; urgency=low

  * New upstream release.
    - Added libstring-format-perl to depends
    - Updated manpage according to upstream's changes
  * From upstream's changelog:
    - Separate the command in to daemon mode and command line mode.
    - You can specify a command to be executed if an event occurs
    - You can specify difference events you want to watch.
    - You can enable/disable email notification.

 -- Michael Prokop <mika@grml.org>  Tue, 15 Aug 2006 10:47:56 +0200

iwatch (0.0.3-1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Fri, 11 Aug 2006 19:03:20 +0200
